Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface ServicedefFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ServicedefFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ServicedefPackage`

Field Summary
`static ServicedefFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`ANDFeatureConstraint` | `createANDFeatureConstraint()` Returns a new object of class 'AND Feature Constraint'
`ANDParamConstraint` | `createANDParamConstraint()` Returns a new object of class 'AND Param Constraint'
`ANDValueConstraint` | `createANDValueConstraint()` Returns a new object of class 'AND Value Constraint'
`BaseTypes` | `createBaseTypes()` Returns a new object of class 'Base Types'
`ContinuousRangeConstraint` | `createContinuousRangeConstraint()` Returns a new object of class 'Continuous Range Constraint'
`CustomConstraint` | `createCustomConstraint()` Returns a new object of class 'Custom Constraint'
`DiscreteRangeConstraint` | `createDiscreteRangeConstraint()` Returns a new object of class 'Discrete Range Constraint'
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'
`EJBPABinding` | `createEJBPABinding()` Returns a new object of class 'EJBPA Binding'
`InputValidator` | `createInputValidator()` Returns a new object of class 'Input Validator'
`NOTFeatureConstraint` | `createNOTFeatureConstraint()` Returns a new object of class 'NOT Feature Constraint'
`NOTParamConstraint` | `createNOTParamConstraint()` Returns a new object of class 'NOT Param Constraint'
`NOTValueConstraint` | `createNOTValueConstraint()` Returns a new object of class 'NOT Value Constraint'
`Operation` | `createOperation()` Returns a new object of class 'Operation'
`ORFeatureConstraint` | `createORFeatureConstraint()` Returns a new object of class 'OR Feature Constraint'
`ORParamConstraint` | `createORParamConstraint()` Returns a new object of class 'OR Param Constraint'
`ORValueConstraint` | `createORValueConstraint()` Returns a new object of class 'OR Value Constraint'
`Param` | `createParam()` Returns a new object of class 'Param'
`ParamValidator` | `createParamValidator()` Returns a new object of class 'Param Validator'
`RelativeConstraint` | `createRelativeConstraint()` Returns a new object of class 'Relative Constraint'
`Role` | `createRole()` Returns a new object of class 'Role'
`SDAnnotationDetail` | `createSDAnnotationDetail()` Returns a new object of class 'SD Annotation Detail'
`ServiceDef` | `createServiceDef()` Returns a new object of class 'Service Def'
`ServiceDefAnnotation` | `createServiceDefAnnotation()` Returns a new object of class 'Service Def Annotation'
`SimpleFeatureConstraint` | `createSimpleFeatureConstraint()` Returns a new object of class 'Simple Feature Constraint'
`SimpleParamCoinstraint` | `createSimpleParamCoinstraint()` Returns a new object of class 'Simple Param Coinstraint'
`SOAPPABRBinding` | `createSOAPPABRBinding()` Returns a new object of class 'SOAPPABR Binding'
`Types` | `createTypes()` Returns a new object of class 'Types'
`ValueValorizationConstraint` | `createValueValorizationConstraint()` Returns a new object of class 'Value Valorization Constraint'
`WSBinding` | `createWSBinding()` Returns a new object of class 'WS Binding'
`WSEncrypt` | `createWSEncrypt()` Returns a new object of class 'WS Encrypt'
`WSEndpoint` | `createWSEndpoint()` Returns a new object of class 'WS Endpoint'
`WSEndpointChannel` | `createWSEndpointChannel()` Returns a new object of class 'WS Endpoint Channel'
`WSFADBinding` | `createWSFADBinding()` Returns a new object of class 'WSFAD Binding'
`WSSignature` | `createWSSignature()` Returns a new object of class 'WS Signature'
`WSTimestamp` | `createWSTimestamp()` Returns a new object of class 'WS Timestamp'
`WSUsernameTokenAuth` | `createWSUsernameTokenAuth()` Returns a new object of class 'WS Username Token Auth'
`ServicedefPackage` | `getServicedefPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final ServicedefFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createServiceDef

    ServiceDef createServiceDef()

  Returns a new object of class 'Service Def'.

  Returns:
    a new object of class 'Service Def'.

### createEJBPABinding

    EJBPABinding createEJBPABinding()

  Returns a new object of class 'EJBPA Binding'.

  Returns:
    a new object of class 'EJBPA Binding'.

### createSOAPPABRBinding

    SOAPPABRBinding createSOAPPABRBinding()

  Returns a new object of class 'SOAPPABR Binding'.

  Returns:
    a new object of class 'SOAPPABR Binding'.

### createWSFADBinding

    WSFADBinding createWSFADBinding()

  Returns a new object of class 'WSFAD Binding'.

  Returns:
    a new object of class 'WSFAD Binding'.

### createWSBinding

    WSBinding createWSBinding()

  Returns a new object of class 'WS Binding'.

  Returns:
    a new object of class 'WS Binding'.

### createOperation

    Operation createOperation()

  Returns a new object of class 'Operation'.

  Returns:
    a new object of class 'Operation'.

### createParam

    Param createParam()

  Returns a new object of class 'Param'.

  Returns:
    a new object of class 'Param'.

### createTypes

    Types createTypes()

  Returns a new object of class 'Types'.

  Returns:
    a new object of class 'Types'.

### createBaseTypes

    BaseTypes createBaseTypes()

  Returns a new object of class 'Base Types'.

  Returns:
    a new object of class 'Base Types'.

### createRole

    Role createRole()

  Returns a new object of class 'Role'.

  Returns:
    a new object of class 'Role'.

### createInputValidator

    InputValidator createInputValidator()

  Returns a new object of class 'Input Validator'.

  Returns:
    a new object of class 'Input Validator'.

### createParamValidator

    ParamValidator createParamValidator()

  Returns a new object of class 'Param Validator'.

  Returns:
    a new object of class 'Param Validator'.

### createValueValorizationConstraint

    ValueValorizationConstraint createValueValorizationConstraint()

  Returns a new object of class 'Value Valorization Constraint'.

  Returns:
    a new object of class 'Value Valorization Constraint'.

### createCustomConstraint

    CustomConstraint createCustomConstraint()

  Returns a new object of class 'Custom Constraint'.

  Returns:
    a new object of class 'Custom Constraint'.

### createRelativeConstraint

    RelativeConstraint createRelativeConstraint()

  Returns a new object of class 'Relative Constraint'.

  Returns:
    a new object of class 'Relative Constraint'.

### createSimpleParamCoinstraint

    SimpleParamCoinstraint createSimpleParamCoinstraint()

  Returns a new object of class 'Simple Param Coinstraint'.

  Returns:
    a new object of class 'Simple Param Coinstraint'.

### createANDParamConstraint

    ANDParamConstraint createANDParamConstraint()

  Returns a new object of class 'AND Param Constraint'.

  Returns:
    a new object of class 'AND Param Constraint'.

### createORParamConstraint

    ORParamConstraint createORParamConstraint()

  Returns a new object of class 'OR Param Constraint'.

  Returns:
    a new object of class 'OR Param Constraint'.

### createNOTParamConstraint

    NOTParamConstraint createNOTParamConstraint()

  Returns a new object of class 'NOT Param Constraint'.

  Returns:
    a new object of class 'NOT Param Constraint'.

### createANDValueConstraint

    ANDValueConstraint createANDValueConstraint()

  Returns a new object of class 'AND Value Constraint'.

  Returns:
    a new object of class 'AND Value Constraint'.

### createORValueConstraint

    ORValueConstraint createORValueConstraint()

  Returns a new object of class 'OR Value Constraint'.

  Returns:
    a new object of class 'OR Value Constraint'.

### createNOTValueConstraint

    NOTValueConstraint createNOTValueConstraint()

  Returns a new object of class 'NOT Value Constraint'.

  Returns:
    a new object of class 'NOT Value Constraint'.

### createContinuousRangeConstraint

    ContinuousRangeConstraint createContinuousRangeConstraint()

  Returns a new object of class 'Continuous Range Constraint'.

  Returns:
    a new object of class 'Continuous Range Constraint'.

### createDiscreteRangeConstraint

    DiscreteRangeConstraint createDiscreteRangeConstraint()

  Returns a new object of class 'Discrete Range Constraint'.

  Returns:
    a new object of class 'Discrete Range Constraint'.

### createSimpleFeatureConstraint

    SimpleFeatureConstraint createSimpleFeatureConstraint()

  Returns a new object of class 'Simple Feature Constraint'.

  Returns:
    a new object of class 'Simple Feature Constraint'.

### createANDFeatureConstraint

    ANDFeatureConstraint createANDFeatureConstraint()

  Returns a new object of class 'AND Feature Constraint'.

  Returns:
    a new object of class 'AND Feature Constraint'.

### createORFeatureConstraint

    ORFeatureConstraint createORFeatureConstraint()

  Returns a new object of class 'OR Feature Constraint'.

  Returns:
    a new object of class 'OR Feature Constraint'.

### createNOTFeatureConstraint

    NOTFeatureConstraint createNOTFeatureConstraint()

  Returns a new object of class 'NOT Feature Constraint'.

  Returns:
    a new object of class 'NOT Feature Constraint'.

### createServiceDefAnnotation

    ServiceDefAnnotation createServiceDefAnnotation()

  Returns a new object of class 'Service Def Annotation'.

  Returns:
    a new object of class 'Service Def Annotation'.

### createSDAnnotationDetail

    SDAnnotationDetail createSDAnnotationDetail()

  Returns a new object of class 'SD Annotation Detail'.

  Returns:
    a new object of class 'SD Annotation Detail'.

### createWSEndpoint

    WSEndpoint createWSEndpoint()

  Returns a new object of class 'WS Endpoint'.

  Returns:
    a new object of class 'WS Endpoint'.

### createWSUsernameTokenAuth

    WSUsernameTokenAuth createWSUsernameTokenAuth()

  Returns a new object of class 'WS Username Token Auth'.

  Returns:
    a new object of class 'WS Username Token Auth'.

### createWSSignature

    WSSignature createWSSignature()

  Returns a new object of class 'WS Signature'.

  Returns:
    a new object of class 'WS Signature'.

### createWSTimestamp

    WSTimestamp createWSTimestamp()

  Returns a new object of class 'WS Timestamp'.

  Returns:
    a new object of class 'WS Timestamp'.

### createWSEncrypt

    WSEncrypt createWSEncrypt()

  Returns a new object of class 'WS Encrypt'.

  Returns:
    a new object of class 'WS Encrypt'.

### createWSEndpointChannel

    WSEndpointChannel createWSEndpointChannel()

  Returns a new object of class 'WS Endpoint Channel'.

  Returns:
    a new object of class 'WS Endpoint Channel'.

### getServicedefPackage

    ServicedefPackage getServicedefPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD